#import <Cocoa/Cocoa.h>

#import "SDMailer.h"

@interface SDFeedbackController : NSWindowController <SDMailerDelegate> {
	BOOL previousIncludeMyEmailValue;
	BOOL previousWantPersonalReplyValue;
	
	IBOutlet NSTabView *tabView;
	
	IBOutlet NSTextField *nameTextField;
	IBOutlet NSComboBox *emailsComboBox;
	IBOutlet NSProgressIndicator *sendingProgressIndicator;
	IBOutlet NSButton *sendButton;
	
	// Support Tab
	IBOutlet NSTextView *questionTextView;
	
	// Feature Request Tab
	IBOutlet NSTextView *featureTextView;
	IBOutlet NSPopUpButton *importancePopUpButton;
	
	// Bug Report Tab
	IBOutlet NSTextView *bugTextView;
	IBOutlet NSTextView *reproStepsTextView;
	IBOutlet NSButton *isCriticalCheckBox;
	IBOutlet NSButton *wantReplyCheckBox;
}

// IBActions
- (IBAction) presentFeedbackPanelForSupport:(id)sender;
- (IBAction) presentFeedbackPanelForFeature:(id)sender;
- (IBAction) presentFeedbackPanelForBug:(id)sender;

- (IBAction) sendFeedback:(id)sender;

// Helper Functions
- (void) populateNameField;
- (void) populateEmailAddresses;
- (NSDictionary*) emailDictionaryFromWindow;
- (BOOL) isSendEnabled;

@end
