//
//  SDFloatingWindowController.h
//  TunesBar
//
//  Created by Steven on 10/24/08.
//  Copyright 2008 Giant Robot Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "SDFloatingWindow.h";

enum {
	SDFloatingWindowDismissFromClick = 1 << 0,
	SDFloatingWindowDismissUserLostInterest = 1 << 1,
	SDFloatingWindowDismissAppDeactivated = 1 << 2,
	SDFloatingWindowDismissEscapePressed = 1 << 3,
	SDFloatingWindowDismissEnterPressed = 1 << 4,
};

@interface SDFloatingWindowController : NSResponder<SDFloatingWindowDelegate> {
    SDFloatingWindow *floatingWindow;
	IBOutlet NSView *floatingWindowView;
	
	NSInteger dismissFlags;
}

- (void) displayWindowAtPoint:(NSPoint)point withAttributes:(NSDictionary*)attributes onSide:(MAWindowPosition)side atDistance:(float)distance withDismissFlags:(NSInteger)newDismissFlags shouldActivateApp:(BOOL)shouldActivateApp;

- (IBAction) dismissFloatingWindow:(id)sender;

- (void) dismissFloatingWindowWithFade:(BOOL)shouldFade;

- (void) floatingWindowWasClicked;

@end
