//
//  SDHotKeyController.h
//  ClassDumper
//
//  Created by Steven on 10/16/08.
//  Copyright 2008 Giant Robot Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class PTHotKey;
@class PTKeyCombo;
@class SRRecorderControl;

@interface SDGlobalHotKeyController : NSObject {
	NSMutableArray *storedHotKeys;
}

+ (SDGlobalHotKeyController*) sharedHotKeyController;

- (void) addHotKeyFromDefaultsKey:(NSString*)defaultsKey target:(id)target selector:(SEL)action;
- (void) addHotKeyFromDefaultsKey:(NSString*)defaultsKey withControl:(SRRecorderControl*)recorderControl target:(id)target selector:(SEL)action;

- (void) attachControl:(SRRecorderControl*)recorderControl toDefaultsKey:(NSString*)defaultsKey;

- (void) setKeyCombo:(PTKeyCombo*)keyCombo forRecorderControl:(SRRecorderControl*)recorderControl;

@end
