//
//  SDKitStuff.h
//  SDKit
//
//  Created by Steven on 10/15/08.
//  Copyright 2008 Giant Robot Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
	SDMailResultFail,
	SDMailResultSuccess
} SDMailResult;

@class SDMailer;

@protocol SDMailerDelegate
@optional
- (void) mailer:(SDMailer*)mailer didFinishWithResult:(SDMailResult)result andString:(NSString*)responseString;
@end

@interface SDMailer : NSObject {
	id<SDMailerDelegate> delegate;
	NSMutableData *responseStringData;
}

+ (id) mailWithDelegate:(id<SDMailerDelegate>)mailDelegate;

- (id) initWithDelegate:(id<SDMailerDelegate>)mailDelegate;

- (void) sendMailForDictionary:(NSDictionary*)mailDictionary;

NSString* SDFUrlEncodeValue(NSString *str);

@end
